Subject: Re: bug#70914: 29.3; Crashes often on Windows

From: Simen Endsjø <[email-masked]>
Date: Thu, 16 May 2024 08:42:42 +0200

> Did you say you see these problems on other machines as well?  If not,
> I'd suspect something basic, like hardware problem.

I don't have problems with other software, so it doesn't seem like a hardware
problem. I did a full hardware scan during the night, and it didn't
uncover any problems.

On Wed, May 15, 2024 at 8:53 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Simen Endsjø <[email-masked]>
> > Date: Wed, 15 May 2024 20:21:36 +0200
> > Cc: [email-masked]
> >
> >     (process:13240): GLib-GIO-WARNING **: 20:15:06.678: Unexpectedly,
> > UWP app `Microsoft.OutlookForWindows_1.2023.1101.300_x64__8wekyb3d8bbwe'
> > (AUMId `Microsoft.OutlookForWindows_8wekyb3d8bbwe!Microsoft.OutlookforWindows')
> > supports 1 extensions but has no verbs
>
> What are these warnings from Glib, and why should Emacs care about
> problems with Outlook?
>
> >     gdb: Target exception EXCEPTION_ACCESS_VIOLATION at 0x0
> >
> >     Thread 1 received signal SIGSEGV, Segmentation fault.
> >     0x0000000000000000 in ?? ()
>
> That exception says that Emacs somehow tried to execute code at
> address zero, which is invalid.  It fits the fact that the stack shows
> zero address.
>
> But how did that zero address end up there in the first place?
>
> IME, Defender is not a problem, but FTR I have excluded the eln-cache
> and the directories where the preloaded *.eln files live from
> Defender's scans (for speed, mostly -- I don't think I had any false
> alarms for those files).
>
> Did you say you see these problems on other machines as well?  If not,
> I'd suspect something basic, like hardware problem.  I again suggest
> to review all the software installed there, maybe something will stand
> out.
>
> And I note that when it crashes, there's always at least one reader
> thread which waits for output from a subprocess.